View Issue Details

IDProjectCategoryView StatusLast Update
0023084LazarusPatchpublic2013-09-03 12:07
ReporterLucas MartínAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version1.1 (SVN)Product Build 
Target VersionFixed in Version1.1 (SVN) 
Summary0023084: Possible error building Windows Instaler under windows 64bits
DescriptionCorrect possible problems in path under windows 64bits and non-English Windows installations.

Also add
Introduced the possibility of using a subversion executable in to TortoiseSVN installation for building installer.

Patch attached to implement this corrections and adds
Path: \tools\install\win\create_installer.bat
TagsNo tags attached.
Fixed in Revision39332
LazTarget1.4
WidgetsetWin32/Win64
Attached Files
  • create_installer.bat.patch (2,062 bytes)
    Index: create_installer.bat
    ===================================================================
    --- create_installer.bat	(revision 38968)
    +++ create_installer.bat	(working copy)
    @@ -4,10 +4,17 @@
     if [%3]==[] goto USAGE
     if [%4]==[] goto USAGE
     
    +:: set program files 32bits directory in windows 64bits and windows 32bits
    +set ProgramFiles32bits=%ProgramFiles%
    +if not "%ProgramFiles(x86)%" == "" set ProgramFiles32bits=%ProgramFiles(x86)%
    +
     :: These settings are dependent on the configuration of the build machine
     :: Path to the Inno Setup Compiler
    -if [%ISCC%]==[] SET ISCC="C:\Program Files\Inno Setup 5\iscc.exe"
    +if [%ISCC%]==[] SET ISCC="%ProgramFiles32bits%\Inno Setup 5\iscc.exe"
     
    +:: check is Inno Setup 5 exist
    +if not exist %ISCC% GOTO ERROR_INNO
    +
     :: Path to build directory.
     :: In this directory an image of the installation will be built.
     :: If the user specified a LAZTEMPBUILDDIR environment variable, use that instead.
    @@ -15,8 +22,13 @@
     if NOT [%LAZTEMPBUILDDIR%]==[] SET BUILDDIR=%LAZTEMPBUILDDIR%
      
     :: Path to the svn executable
    -if [%SVN%]==[] SET SVN="c:\program files\subversion\bin\svn.exe"
    +if [%SVN%]==[] SET SVN="%ProgramFiles32bits%\subversion\bin\svn.exe"
     
    +:: check Subversion if no exist try TortoiseSVN 32bits and 64bits else error info
    +if not exist %SVN% SET SVN="%ProgramFiles32bits%\TortoiseSVN\bin\svn.exe"
    +if not exist %SVN% SET SVN="%ProgramFiles%\TortoiseSVN\bin\svn.exe"
    +if not exist %SVN% GOTO ERROR_SVN
    +
     :: Path to the fpc sources checked out of fpcbuild svn repository
     SET FPCSVNDIR=%1
     
    @@ -148,6 +160,18 @@
     
     goto STOP
     
    +:ERROR_INNO
    +echo Inno setup instalation %ISCC% no exist.
    +echo Please download and install this program is required to create installer.
    +echo http://www.jrsoftware.org
    +GOTO STOP
    +
    +:ERROR_SVN
    +echo Subversion or TortoiseSVN instalation %SVN% no exist.
    +echo Please download and install this program is required to create installer.
    +echo http://subversion.apache.org/packages.html or http://tortoisesvn.net/downloads.html
    +GOTO STOP
    +
     :USAGE
     @echo off
     echo Usage:
    

Relationships

related to 0023385 closedMartin Friebe create_installer.bat fails 

Activities

2012-10-08 11:33

 

create_installer.bat.patch (2,062 bytes)
Index: create_installer.bat
===================================================================
--- create_installer.bat	(revision 38968)
+++ create_installer.bat	(working copy)
@@ -4,10 +4,17 @@
 if [%3]==[] goto USAGE
 if [%4]==[] goto USAGE
 
+:: set program files 32bits directory in windows 64bits and windows 32bits
+set ProgramFiles32bits=%ProgramFiles%
+if not "%ProgramFiles(x86)%" == "" set ProgramFiles32bits=%ProgramFiles(x86)%
+
 :: These settings are dependent on the configuration of the build machine
 :: Path to the Inno Setup Compiler
-if [%ISCC%]==[] SET ISCC="C:\Program Files\Inno Setup 5\iscc.exe"
+if [%ISCC%]==[] SET ISCC="%ProgramFiles32bits%\Inno Setup 5\iscc.exe"
 
+:: check is Inno Setup 5 exist
+if not exist %ISCC% GOTO ERROR_INNO
+
 :: Path to build directory.
 :: In this directory an image of the installation will be built.
 :: If the user specified a LAZTEMPBUILDDIR environment variable, use that instead.
@@ -15,8 +22,13 @@
 if NOT [%LAZTEMPBUILDDIR%]==[] SET BUILDDIR=%LAZTEMPBUILDDIR%
  
 :: Path to the svn executable
-if [%SVN%]==[] SET SVN="c:\program files\subversion\bin\svn.exe"
+if [%SVN%]==[] SET SVN="%ProgramFiles32bits%\subversion\bin\svn.exe"
 
+:: check Subversion if no exist try TortoiseSVN 32bits and 64bits else error info
+if not exist %SVN% SET SVN="%ProgramFiles32bits%\TortoiseSVN\bin\svn.exe"
+if not exist %SVN% SET SVN="%ProgramFiles%\TortoiseSVN\bin\svn.exe"
+if not exist %SVN% GOTO ERROR_SVN
+
 :: Path to the fpc sources checked out of fpcbuild svn repository
 SET FPCSVNDIR=%1
 
@@ -148,6 +160,18 @@
 
 goto STOP
 
+:ERROR_INNO
+echo Inno setup instalation %ISCC% no exist.
+echo Please download and install this program is required to create installer.
+echo http://www.jrsoftware.org
+GOTO STOP
+
+:ERROR_SVN
+echo Subversion or TortoiseSVN instalation %SVN% no exist.
+echo Please download and install this program is required to create installer.
+echo http://subversion.apache.org/packages.html or http://tortoisesvn.net/downloads.html
+GOTO STOP
+
 :USAGE
 @echo off
 echo Usage:

Martin Friebe

2012-11-21 20:52

manager   ~0063957

Applied, with minor modification.

If the user supplies a %SVN% location, then the script should not change it (even if not existent)

Martin Friebe

2012-11-26 20:06

manager   ~0064045

Changes reverted, as they appear to cause failures on some systems. See 0023385

Martin Friebe

2012-12-04 12:40

manager   ~0064129

re-applied with changes in 39436

Issue History

Date Modified Username Field Change
2012-10-08 11:33 Lucas Martín New Issue
2012-10-08 11:33 Lucas Martín File Added: create_installer.bat.patch
2012-10-08 11:33 Lucas Martín Widgetset => Win32/Win64
2012-10-08 22:49 Maxim Ganetsky Status new => assigned
2012-10-08 22:49 Maxim Ganetsky Assigned To => Martin Friebe
2012-10-08 22:49 Maxim Ganetsky LazTarget => 1.0.2
2012-10-08 22:49 Maxim Ganetsky Target Version => 1.0.2
2012-10-09 13:42 Martin Friebe LazTarget 1.0.2 => 1.0.4
2012-10-09 13:46 Martin Friebe Target Version 1.0.2 => 1.0.4
2012-11-21 20:52 Martin Friebe Fixed in Revision => 39332
2012-11-21 20:52 Martin Friebe Status assigned => resolved
2012-11-21 20:52 Martin Friebe Fixed in Version => 1.1 (SVN)
2012-11-21 20:52 Martin Friebe Resolution open => fixed
2012-11-21 20:52 Martin Friebe Note Added: 0063957
2012-11-26 20:05 Martin Friebe Status resolved => assigned
2012-11-26 20:05 Martin Friebe Resolution fixed => reopened
2012-11-26 20:06 Martin Friebe Relationship added related to 0023385
2012-11-26 20:06 Martin Friebe LazTarget 1.0.4 => post 1.2
2012-11-26 20:06 Martin Friebe Note Added: 0064045
2012-11-26 20:06 Martin Friebe Status assigned => feedback
2012-11-26 20:06 Martin Friebe Target Version 1.0.4 =>
2012-11-27 18:32 Martin Friebe Status feedback => assigned
2012-12-04 12:40 Martin Friebe Status assigned => resolved
2012-12-04 12:40 Martin Friebe Resolution reopened => fixed
2012-12-04 12:40 Martin Friebe Note Added: 0064129
2013-09-03 12:07 Martin Friebe LazTarget post 1.2 => 1.4